#ifndef DIALOG_H
#define DIALOG_H

#include <QDialog>
#include <vector>
#include <string>

namespace Ui {
class Dialog;
}

class Line
{
public:
    double x1, y1, x2, y2;
};

class Dialog : public QDialog
{
    Q_OBJECT

public:
    explicit Dialog(QWidget *parent = 0);
    ~Dialog();

private slots:
    void on_b_einlesen_clicked();
    void on_b_uebertragen_clicked();

private:
    Ui::Dialog *ui;
    std::vector<Line> data;
    void MsgBox(std::string msg);
};

#endif // DIALOG_H
