#include "dialog.h"
#include "ui_dialog.h"

Dialog::Dialog(QWidget *parent) :
    QDialog(parent),
    ui(new Ui::Dialog)
{
    ui->setupUi(this);
}

Dialog::~Dialog()
{
    delete ui;
}

void Dialog::on_b_excel_clicked()
{
    excel.setControl("Excel.Application");
    excel.setProperty("Visible", true);

    QAxObject *active = excel.querySubObject("ActiveSheet");
    if(active == 0)
    {
        QAxObject *workbooks = excel.querySubObject("Workbooks");
        workbooks->dynamicCall("Add(void)");
        active = excel.querySubObject("ActiveSheet");
    }
    QAxObject *cells = active->querySubObject("Cells(int,int)", 1, 1);
    cells->setProperty("Value", "Überschrift");
    cells = active->querySubObject("Cells(int,int)", 2, 1);
    cells->setProperty("Value", 123.456);
}
